package com.njcn.pojo.user;

import com.njcn.pojo.configuration.DicData;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;
import java.util.List;

@Table(name = "PQS_TRANSFORMER")
public class TransFormer {
	@Id
	@Column(name = "TF_INDEX")
	private String tf_Index;//变压器台账Guid
	@Column(name = "TFNAME")
	private String tfName;//变压器名称
	@Column(name = "SUB_INDEX")
	private int subIndex;//	Number(6)	Not NULL	(外键PQ_SubStation) 变电站序号
	public int getSubIndex() {
		return subIndex;
	}


	public void setSubIndex(int subIndex) {
		this.subIndex = subIndex;
	}
	@Column(name = "WIRING")
	private String wiring;//接线方式（跟数据字典绑定，星星，星三角）
	@Column(name = "TF_DESCRIBE")
	private String tfDescribe;//描述
	@Column(name = "RANK")
	private int rank;//排序序号
	@Column(name = "USER_INDEX")
	private String userIndex;//关联表PQS_User）用户表Guid
	@Column(name = "STATE")
	private int state;
	public int getState() {
		return state;
	}
	public void setState(int state) {
		this.state = state;
	}
	@Column(name = "UPDATETIME")
	private Date updatetime;//更新时间

	public List<DicData> getWritings() {
		return writings;
	}

	public void setWritings(List<DicData> writings) {
		this.writings = writings;
	}

	//获取所有接线方式
	@Transient
	private List<DicData> writings;

	public String getTf_Index() {
		return tf_Index;
	}
	public void setTf_Index(String tf_Index) {
		this.tf_Index = tf_Index;
	}
	public String getTfName() {
		return tfName;
	}
	public void setTfName(String tfName) {
		this.tfName = tfName;
	}
	public String getWiring() {
		return wiring;
	}
	public void setWiring(String wiring) {
		this.wiring = wiring;
	}

    public String getTfDescribe() {
        return tfDescribe;
    }

    public void setTfDescribe(String tfDescribe) {
        this.tfDescribe = tfDescribe;
    }

    public int getRank() {
		return rank;
	}
	public void setRank(int rank) {
		this.rank = rank;
	}
	public String getUserIndex() {
		return userIndex;
	}
	public void setUserIndex(String userIndex) {
		this.userIndex = userIndex;
	}
	public Date getUpdatetime() {
		return updatetime;
	}
	public void setUpdatetime(Date updatetime) {
		this.updatetime = updatetime;
	}
	
	public  TransFormer() {
		super();
	}

    @Override
    public String toString() {
        return "TransFormer{" +
            "tf_Index='" + tf_Index + '\'' +
            ", tfName='" + tfName + '\'' +
            ", subIndex=" + subIndex +
            ", wiring='" + wiring + '\'' +
            ", tfDescribe='" + tfDescribe + '\'' +
            ", rank=" + rank +
            ", userIndex='" + userIndex + '\'' +
            ", state=" + state +
            ", updatetime=" + updatetime +
            ", writings=" + writings +
            '}';
    }
}
